package com.ibtp.kontor.tradingcards.dal;

import com.ibtp.kontor.tradingcards.entity.ParallelSetEntity;

import java.util.Collection;
import java.util.List;

/**
 * Created by TPEETZ on 27.01.2015.
 */
interface ParallelSetDao {

    public ParallelSetEntity getById(Long id);

    public Collection<ParallelSetEntity> findByIds(List<Long> ids);

    public Collection<ParallelSetEntity> findByName(String name);

    public ParallelSetEntity store(ParallelSetEntity entity);

    public void delete(ParallelSetEntity entity);
}
